%global pypi_name peewee

Name:		python-%{pypi_name}
Version:	2.0.9
Release:	2%{?dist}
Summary:	A small, expressive orm

License:	MIT
URL:		http://github.com/coleifer/peewee/
Source0:	https://pypi.python.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	python2-devel python-setuptools

%description
A small, expressive ORM written in python with built-in support for sqlite,
mysql and postgresql and special extensions like hstore. For flask
integration, including an admin interface and RESTful API, check out
flask-peewee.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build -O1 --root %{buildroot}
rm %{buildroot}%{python_sitelib}/pwiz.*
mv %{buildroot}%{_bindir}/{pwiz.py,pwiz} 

%check
%{__python} setup.py test

%files
%doc LICENSE README.rst
%{python_sitelib}/peewee.py*
%{python_sitelib}/*.egg-info
%{python_sitelib}/playhouse
%{_bindir}/*

%changelog
* Tue Apr 02 2013 Matej Stuchlik <mstuchli@redhat.com> - 2.0.9-2
- Review fixes

* Fri Mar 29 2013 mstuchli <mstuchli@redhat.com> - 2.0.9-1
- Initial spec
